"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Video = Video;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function Video(_ref) {
  var className = _ref.className,
      _ref$sources = _ref.sources,
      sources = _ref$sources === void 0 ? [] : _ref$sources,
      _ref$tracks = _ref.tracks,
      tracks = _ref$tracks === void 0 ? [] : _ref$tracks,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme,
      rest = _objectWithoutProperties(_ref, ["className", "sources", "tracks", "theme"]);

  return _react.default.createElement("video", _extends({
    // eslint-disable-line
    controls: true
  }, rest, {
    "data-component": "Video",
    className: (0, _classnames.default)(className, theme.root)
  }), (sources || []).map(function (_ref2, idx) {
    var source = _objectWithoutProperties(_ref2, []);

    return _react.default.createElement("source", _extends({
      key: idx
    }, source)) // eslint-disable-line
    ;
  }), (tracks || []).map(function (_ref3, idx) {
    var track = _objectWithoutProperties(_ref3, []);

    return _react.default.createElement("track", _extends({
      key: idx
    }, track)) // eslint-disable-line
    ;
  }));
}

var _default = Video;
exports.default = _default;