// @flow

import React from 'react'
import { mount } from 'enzyme'
import Action from '../index'
import data from '../data.json'

const element = mount(<Action {...data} />)

describe('Action', () => {
  it('have render', () => {
    expect(element.find('Action').length).toEqual(1)
    expect(element.find('Action Icon').length).toEqual(1)
  })
  it('data render', () => {
    expect(element.find('Action').text()).toEqual(data.value)
  })
})
