// @flow

import React from 'react'
import { mount } from 'enzyme'
import IconItem from '../index'
import data from '../data.json'

const element = mount(<IconItem {...data} />)

describe('IconItem', () => {
  it('have render', () => {
    expect(element.find('IconItem').length).toEqual(1)
    expect(element.find('IconItem Icon').length).toEqual(1)
    expect(element.find('IconItem Text').length).toEqual(3)
  })
  it('data render', () => {
    element.find('IconItem Text').forEach((textEl) => {
      const dataField = textEl.props().field
      expect(textEl.text()).toEqual(data[dataField])
    })
  })
})
