// @flow

import React from 'react'
import { Field } from 'redux-form'
import BaseUploadModal from './UploadModal'

class UploadModal extends React.Component<*, *> {
  renderFileUpload = ({ input }: *) => {
    const { endpoint, ...rest } = this.props
    return (
      <BaseUploadModal
        endpoint={this.props.endpoint}
        {...rest}
        onChange={(files) => {
          input.onChange(files)
        }}
      >
        {this.props.children}
      </BaseUploadModal>
    )
  }
  render() {
    return <Field name="files" component={this.renderFileUpload} />
  }
}

export default UploadModal
