// @flow

import React from 'react'

// import redux data
import { Provider } from 'react-redux'
import createReducer from 'redux/reducer'
import configureStore from 'redux/configureStore'

// create redux stories
const reducer = createReducer()
const store = configureStore({ reducer })

export default (Container: any) => (props: any) => (
  <Provider store={store}>
    <Container {...props} />
  </Provider>
)
