const path = require('path')

module.exports = {
  webpackConfig: {
    module: {
      rules: [
        {
          test: /\.jsx?$/,
          exclude: /node_modules/,
          loader: 'babel-loader',
        },
        {
          test: /\.css$/,
          loader: 'style-loader!css-loader',
        },
        {
          test: /\.(png|svg|jpg)$/,
          loader: 'file-loader',
        },
        {
          test: /\.(ttf|eot|woff|woff2)$/,
          loader: 'file-loader',
        },
      ],
    },
  },
  components: 'src/components/**/*.js',
  require: [
    path.join(__dirname, 'node_modules/ciser/build/ciser.min.css'),
    path.join(__dirname, 'node_modules/font-awesome/css/font-awesome.min.css'),
  ],
}
