"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Wrapper = _interopRequireDefault(require("../Wrapper"));

var _InfoItem = _interopRequireDefault(require("../InfoItem"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function ImageItem(_ref) {
  var image = _ref.image,
      title = _ref.title,
      subtitle = _ref.subtitle,
      description = _ref.description,
      iconItems = _ref.iconItems,
      keyValueItems = _ref.keyValueItems,
      actions = _ref.actions,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme,
      props = _objectWithoutProperties(_ref, ["image", "title", "subtitle", "description", "iconItems", "keyValueItems", "actions", "theme"]);

  return _react.default.createElement("div", _extends({}, props, {
    "data-component": "ImageItem",
    className: theme.root
  }), _react.default.createElement("div", {
    className: theme.imageWrapper
  }, _react.default.createElement(_Wrapper.default, {
    className: theme.image,
    image: image
  })), _react.default.createElement("div", {
    className: theme.infoItemWrapper
  }, _react.default.createElement(_InfoItem.default, {
    title: title,
    subtitle: subtitle,
    description: description,
    iconItems: iconItems,
    keyValueItems: keyValueItems,
    actions: actions,
    theme: theme.infoItem
  })));
}

var _default = ImageItem;
exports.default = _default;