// @flow

import React from 'react'
import { storiesOf } from '@storybook/react'
import Image from './index'

storiesOf('Custom Image', module)
  .add('Use Cloudinary (in box with size = 200x200)', () => (
    <div className="center" style={{ width: 200, height: 200 }}>
      <Image
        size={{ width: 200, height: 200 }}
        image={{
          cloudinary: {
            username: 'lh-imagecloud',
            id: 'css-code_t7qmyu.jpg',
          },
        }}
      />
    </div>
  ))
  .add('Use Cloudinary (in box with size = 300x300, autoScale = false)', () => (
    <Image
      size={{ width: 300, height: 300 }}
      image={{
        cloudinary: {
          username: 'lh-imagecloud',
          id: 'css-code_t7qmyu.jpg',
        },
      }}
      autoScale={false}
    />
  ))
