// @flow

import React, { PureComponent } from 'react'
import MessengerCustomerChat from 'react-messenger-customer-chat'

const appId = '1777840182229123'

type TFbMessageSticky = any

// TODO: test before use

class FbMessageSticky extends PureComponent<TFbMessageSticky, any> {
  render() {
    const { pageId, theme = {}, ...rest } = this.props
    return (
      <div data-component="FbMessageSticky" className={theme.root}>
        <MessengerCustomerChat
          className={theme.content}
          pageId={pageId}
          appId={appId}
          {...rest}
        />
      </div>
    )
  }
}

export default FbMessageSticky
