// @flow

import React from 'react'
import { mount } from 'enzyme'
import Hero from '../index'

describe('Hero', () => {
  it('have render', () => {
    const wrapper = mount(
      <Hero
        tag="div"
        alt="description image of hero"
        image={{
          src:
            'https://res.cloudinary.com/lh-imagecloud/image/upload/c_scale,q_auto,w_400/v1508678619/53399ea2e083df73e551051d4fed0f27_p79ohh.png',
        }}
        overlayColor="rgba(0, 0, 0, .25)"
      />,
    )
    expect(wrapper.find('[data-component="Hero"]').length).toEqual(1)
  })
})
