// @flow

import React from 'react'
import { mount } from 'enzyme'
import ImageItem from '../index'
import data from '../data.json'

const element = mount(<ImageItem {...data} />)

describe('ImageItem', () => {
  it('have render', () => {
    expect(element.find('ImageItem').length).toEqual(1)
    expect(
      element
        .find('ImageItem')
        .children('div')
        .children('div').length,
    ).toEqual(2)
    expect(element.find('ImageItem InfoItem').length).toEqual(1)
  })
})
