// @flow

import React from 'react'
import { mount } from 'enzyme'
import Text from '../index'
import data from '../data.json'

const element = mount(<Text {...data} />)

describe('Text', () => {
  it('have render', () => {
    expect(element.find('Text').length).toEqual(1)
  })
  it('data render', () => {
    expect(element.find('Text').text()).toEqual(data.children)
  })
  it('field render', () => {
    expect(element.find('Text').props().field).toEqual(data.field)
  })
})
