// @flow

import React from 'react'
import { Field } from 'redux-form'
import UploadDashboard from './UploadDashboard'

class FatFileUpload extends React.Component<*, *> {
  renderFileUpload = ({ input }: *) => {
    const { endpoint, ...rest } = this.props
    return (
      <UploadDashboard
        endpoint={this.props.endpoint}
        {...rest}
        onChange={(files) => {
            input.onChange(files)
          }}
      />
    )
  }
  render() {
    return <Field name="files" component={this.renderFileUpload} />
  }
}

export default FatFileUpload
